<?php
chdir($_SERVER["DOCUMENT_ROOT"]);
// Ścieżka do katalogu, w którym przechowywana jest biblioteka nusoap
set_include_path('../libs/nusoap');

// Dołączenie biblioteki nusoap
require_once('nusoap.php');

# Przykład wywołania metody getBalance, umożliwiającej sprawdzenie stanu konta

$sLogin = ""; // Login konta w Postivo.pl
$sApiPass = ""; // Hasło dostępu do konta przez API

// Utworzenie klienta SOAP:
$client = new nusoap_client("http://api.postivo.pl/webservices.php?wsdl", true); 

// Ustawienie standardu kodowania znaków
$client->soap_defencoding = 'UTF-8';
$client->decode_utf8 = false;

// Wywołanie metody getBalance z przekazaniem wszystkich parametrów
$output = $client->call('getBalance',
		    array(
		        'login' => $sLogin,
		        'api_pass' => $sApiPass
		    )
		);

// Przykład obsługi danych wyjściowych:
echo "Status żądania: ".$output['result'].", kod statusu żądania: ".$output['result_code'].", opis statusu żądania: ".$output['result_description']."<br />";
echo "Aktualny stan konta: ".$output['balance']." zł netto, Limit konta: ".$output['limit']." zł netto, Typ konta: ".(($output['postpaid']==1)? "POST-PAID" : "PRE-PAID");
?>